#ifdef GL_ES
    #define LOWP lowp
    precision mediump float;
#else
    #define LOWP
#endif

#define PI 3.141592563

varying vec4 vColor;
varying vec2 vTexCoord0;

uniform sampler2D u_texture;

uniform float blurSize;
uniform vec2 stepSize;


void main() {
    //this will be our RGBA sum
    vec4 sum = vec4(0.0);

    //our original texcoord for this fragment
    vec2 tc = vTexCoord0;
    //vec4 col = vColor;
    
    
    
	sum += texture2D(u_texture, vec2(tc.x, tc.y - 4.0*blurSize)) * 0.026;
	sum += texture2D(u_texture, vec2(tc.x, tc.y - 3.0*blurSize)) * 0.064;
	sum += texture2D(u_texture, vec2(tc.x, tc.y - 2.0*blurSize)) * 0.121;
	sum += texture2D(u_texture, vec2(tc.x, tc.y- blurSize)) * 0.176;
	sum += texture2D(u_texture, vec2(tc.x, tc.y)) * 0.199;
	sum += texture2D(u_texture, vec2(tc.x, tc.y + blurSize)) * 0.176;
	sum += texture2D(u_texture, vec2(tc.x, tc.y + 2.0*blurSize)) * 0.121;
	sum += texture2D(u_texture, vec2(tc.x, tc.y + 3.0*blurSize)) * 0.064;
	sum += texture2D(u_texture, vec2(tc.x, tc.y + 4.0*blurSize)) * 0.026;
	
	
	// get color of pixels:
	float alpha = 4.0*texture2D(u_texture, tc ).a;
	
	alpha -= texture2D( u_texture, tc + vec2( stepSize.x, 0.0 ) ).a;
	alpha -= texture2D( u_texture, tc + vec2( -stepSize.x, 0.0 ) ).a;
	alpha -= texture2D( u_texture, tc + vec2( 0.0, stepSize.y ) ).a;
	alpha -= texture2D( u_texture, tc + vec2( 0.0, -stepSize.y ) ).a;
	

    //discard alpha for our simple demo, multiply by vertex color and return
   vec4 col = vec4(sum.r * 1.0, sum.g * 1.0, sum.b * 1.0, alpha);
    gl_FragColor = col* vec4(sum.rgb, 1.0);
}