#ifdef GL_ES
#define LOWP lowp
precision mediump float;
#else
#define LOWP
#endif
varying vec2 v_texCoords;
uniform sampler2D u_texture;

uniform vec4 restriction;
varying vec4 v_vertex;

void main()
{
    vec4 color = texture2D(u_texture, v_texCoords);
    float xdiff = v_vertex.x - restriction.x;
    float ydiff = v_vertex.y - restriction.y;
    float dist = sqrt(xdiff * xdiff + ydiff * ydiff);
    if (dist > restriction.w)
    {
        gl_FragColor = vec4(0.0);
    }
    else if (dist < restriction.z)
    {
        gl_FragColor = color;
    }
    else
    {
        gl_FragColor = color * vec4(1.0 - smoothstep(restriction.z, restriction.w, dist));
    }
}